<?php

namespace WHOOP\Entities;

use WHOOP\Entities\Elements\Traits\ElementBuilderTraits;
use WHOOP\Entities\Elements\Traits\ElementTraits;

class Element
{
  use ElementTraits;
  use ElementBuilderTraits;

  public const TAG = '';
  protected static bool $selfClosing = false;
  protected static bool $renderIfEmpty = true;

  protected function __construct(mixed $content = null) {
    $this->initProperties();

    if ($content) {
      $this->setContent($content);
    }

    $this->initElement();
  }

  protected function initElement(): void {}
}
